<?php

namespace Pqc\Coin\Seeders;

use DB;
use Illuminate\Database\Seeder;

class MasterTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('masters')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'coin.master.view',
                'name'      => 'View Master',
            ],
            [
                'slug'      => 'coin.master.create',
                'name'      => 'Create Master',
            ],
            [
                'slug'      => 'coin.master.edit',
                'name'      => 'Update Master',
            ],
            [
                'slug'      => 'coin.master.delete',
                'name'      => 'Delete Master',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'coin.master.verify',
                'name'      => 'Verify Master',
            ],
            [
                'slug'      => 'coin.master.approve',
                'name'      => 'Approve Master',
            ],
            [
                'slug'      => 'coin.master.publish',
                'name'      => 'Publish Master',
            ],
            [
                'slug'      => 'coin.master.unpublish',
                'name'      => 'Unpublish Master',
            ],
            [
                'slug'      => 'coin.master.cancel',
                'name'      => 'Cancel Master',
            ],
            [
                'slug'      => 'coin.master.archive',
                'name'      => 'Archive Master',
            ],
            
        ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/coin/master',
                'name'        => 'Master',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/coin/master',
                'name'        => 'Master',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'master',
                'name'        => 'Master',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Coin',
                'module'    => 'Master',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'coin.master.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
